Subject: [Secdispatch] draft-housley-ers-asn1-modules

From: Russ Housley <[email-masked]>
Date: Wed, 10 Mar 2021 07:38:51 -0500

https://datatracker.ietf.org/doc/draft-housley-ers-asn1-modules/

Some developers would like the IETF to use the latest version of ASN.1 in its standards.  This document provides alternate ASN.1 modules to assist in that goal.

The Evidence Record Syntax (ERS) [RFC4998] provides two ASN.1 modules, one using the 1988 syntax, which has been deprecated by the ITU-T, and another one using the 2002 syntax, which continued to be maintained and enhanced.  This document provides an alternate ASN.1 module that follows the conventions established in [RFC5911], [RFC5912], and [RFC6268].

In addition, [RFC5276] specifies the mechanism for conveying Evidence Records in the Server-Based Certificate Validation Protocol (SCVP) [RFC5055].  There is only one ASN.1 module in [RFC5276], and it uses the 1988 syntax.  This document provides an alternate ASN.1 module using the 2002 syntax and follows the conventions established in [RFC5911], [RFC5912], and [RFC6268].  Note that [RFC5912] already includes an alternate ASN.1 module for SCVP [RFC5055].

The original ASN.1 modules get some of their definitions from places outside the RFC series.  Some of the referenced definitions are somewhat difficult to find.  The alternate ASN.1 modules offered in this document stand on their own when combined with the modules in [RFC5911], [RFC5912], and [RFC6268].

The alternate ASN.1 modules produce the same bits-on-the wire as the original ones.

The alternate ASN.1 modules will be informative; the original ones are normative.

RECOMMENDED WAY FORWARD: AD sponsor an Informational RFC.